## ipcslavepipeline ipcslavepipeline |

## Types and Values

struct | GstIpcSlavePipeline

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstPipeline
                            ╰── GstIpcSlavePipeline

## Implemented Interfaces

GstIpcSlavePipeline implements GstChildProxy.

## Description

This is a GstPipeline subclass meant to embed one ore more ipcpipelinesrc elements, and be slaved transparently to the master pipeline, using one ore more ipcpipelinesink elements on the master.

The actual pipeline slaving logic happens in ipcpipelinesrc. The only thing that this class actually does is that it watches the pipeline bus for messages and forwards them to the master pipeline through the ipcpipelinesrc elements that it contains.

For more details about this mechanism and its uses, see the documentation of the ipcpipelinesink element.

## Synopsis

### Element Information

plugin | ipcpipeline
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk
class | Generic/Bin/Slave

### Element Pads

## Functions

## Types and Values

### struct GstIpcSlavePipeline

    struct GstIpcSlavePipeline;

## See Also

GstIpcPipelineSink, GstIpcPipelineSrc